"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const events = __importStar(require("events"));
const ck_lib_1 = require("@ckstack/ck-lib");
const index_1 = require("../index");
const MyValues_1 = require("../MyValues");
class SampleTask1 extends index_1.CkCronTask {
    constructor() {
        super();
        this.TASK_EVENT = new events.EventEmitter();
        this.testRun = this.testRun.bind(this);
        this.TASK_EVENT.on('test_run1', this.testRun);
        ck_lib_1.CkLogger.debugLog2('SampleTask.constructor', MyValues_1.PROC_LHD.IP_LHD_HTTP);
    }
    testRun(lhd) {
        ck_lib_1.CkLogger.debugLog2(`SampleTask.testRun: ${new Date()}`, lhd);
        this.taskEnd(lhd);
    }
    run(lhd) {
        this.setRunning(lhd);
        this.TASK_EVENT.emit('test_run1', lhd);
    }
}
exports.default = SampleTask1;
